<template>
  <div style="display:inline;">
    <el-popconfirm
      title="确定删除当前分类吗？"
      @confirm="deleteRow()">
      <el-button slot="reference" size="small" type="text">删 除</el-button>
    </el-popconfirm>
  </div>
</template>

<script>
export default {
  props:['data'],
  methods:{
    deleteRow () {
      this.$api.requested({
        "classname": "webmanage.saletool.courseware.coursewareclass",
        "method": "delete",
        "content": {
          "sat_courseware_classid": this.data.sat_courseware_classid
        }
      }).then(res=>{
        this.tool.showMessage(res,()=>{
          this.$emit('onSuccess')
        })
      })
    },
  }
}

</script>
